Bug 1298740 - Allow qpid.messaging.endpoints.session to have all associated receivers mointored via epoll mechanism
Allow qpid.messaging.endpoints.session to have all associated receivers moint...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
Unspecified Unspecified
high Severity high (vote)
: Beta
: --
Assigned To: Katello Bug Bin
Chris Duryee
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-01-14 16:24 EST by Mike Cressman
Modified: 2016-07-27 07:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-qpid-0.30-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-27 07:13:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5799 None None None 2016-01-14 16:24 EST

  None (edit)
Description Mike Cressman 2016-01-14 16:24:07 EST
Description of enhancement request:

Extend the existing python client qpid::messaging API to provide an alternative to the existing blocking session::NextReceiver() interface
(Backport QPID-5799 into python-qpid-0.30 for use in Satellite 6.2

Version-Release number of selected component (if applicable):

Desired behavior:
This callback can be used to cause a write on a socket that is being monitored from the application's epoll loop. This will cause the application to 'wake up' and it can poll for the next ready receiver.

Additional info:
See https://issues.apache.org/jira/browse/QPID-5799 for more details.
Comment 2 Mike Cressman 2016-03-23 14:29:17 EDT
This fix in included in python-qpid-0.30-8, which is tagged for Sat 6.2.
Comment 3 Bryan Kearney 2016-03-23 15:29:41 EDT
python-qpid-0.30-8 has been delivered to QA in SNAP5 (or earlier). Moving this to ON_QA.
Comment 6 Chris Duryee 2016-07-11 12:13:06 EDT
tested on snap 19.1

I confirmed the code changes in qpid and kombu landed in 19.1 (possibly were there earlier). This BZ is for a dev task and the code landed, marking as VERIFIED.
Comment 7 Bryan Kearney 2016-07-27 07:13:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.